@extends ($layout)
@section('survey-header')
<span>Hi {{ @$entity->displayName() }}</span>
@endsection
@section('survey-content')
  <form id="surveyForm" action="{{ @$survey->access_key ? route('view-survey-form-submit', @$survey->access_key) : '' }}" method="POST" v-cloak>
    @if(!isset($preview))
      <input type="hidden" name="data" :value="JSON.stringify(form)" />
      @csrf
    @endif
    
    <div><?= $survey->surveyhtml ?></div>
    
    @if(!isset($preview))
      <div class="row">      
          <div class="col-md-12">
            <button class="btn btn-sm btn-primary px-5 py-2">Submit</button>
          </div>
      </div>
    @endif
  </form>

<script>
  var surveyFormComponent = new Vue({
    el: '#surveyForm',
    data: {
      form: <?= json_encode(json_decode($survey->survey_data ?? '{}')) ?>
    },
    methods: {
      init: function(){
        console.log('Default Data: ', this.form);
      }
    },
    mounted: function(){
      this.init();
    }
  });
</script>


@endsection
